#pragma once

#include "PictureEx.h"
#include "afxcmn.h"
#include "afxwin.h"

#define TIMER_ID_CHANGE 1


// CWaitMessageDlg 대화 상자입니다.

class CWaitMessageDlg : public CDialog
{
	DECLARE_DYNAMIC(CWaitMessageDlg)

public:
	CWaitMessageDlg(CWnd* pParent = NULL);   // 표준 생성자입니다.
	virtual ~CWaitMessageDlg();

// 대화 상자 데이터입니다.
	enum { IDD = IDD_WAITMESSAGE };

protected:
	UINT m_nTimer;

public:
	CPictureEx m_picture;
	int			m_nMode;

public:
	BOOL ShowWindow(int nCmdShow);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 지원입니다.

	DECLARE_MESSAGE_MAP()

public:
	virtual BOOL Create(UINT nIDTemplate, CWnd* pParentWnd = NULL);
	virtual BOOL OnInitDialog();

protected:
	virtual void PostNcDestroy();

	afx_msg void OnTimer(UINT nIDEvent);
public:
	CProgressCtrl m_prg1;
	CStatic m_stc1;
	CStatic m_stc2;
	CStatic m_stc3;
	afx_msg void OnBnClickedCancelBtn();
};
